# MPI_File_get_position_shared

Returns the current position of the shared file pointer in etype units relative to the current view

## Synopsis

    int MPI_File_get_position_shared(MPI_File fh, MPI_Offset * offset)

## Input Parameters

fh
  file handle (handle)

## Output Parameters

offset
  offset of shared file pointer (nonnegative integer)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.